/* ===============================
   Portable Font Import
   =============================== */
@import url(fonts.css);

:root {
  --font-family: 'IranSans', sans-serif, Tahoma, Arial;
}
/* ===============================
   Base
   =============================== */
html, body {
  direction: rtl;
  text-align: right;
  font-family: var(--font-family);
  font-size: 14px;
  margin: 0;
}

/* ===============================
   UI – IranSans
   =============================== */
h1, h2, h3, h4, h5, h6,
.t-Body-title,
.t-Region-title,
.t-NavigationBar,
.t-Button,
.t-Cards-title,
.ui-dialog-title {
  font-family: var(--font-family);
  font-weight: 700;
}

/* ===============================
   Data – Vazir
   =============================== */
input,
textarea,
select,
.apex-item-text,
.apex-item-select,
.apex-item-textarea,
.t-Form-label,
.t-Report-report,
.t-Report-cell,
.t-Report-colHead,
.a-IG,
.a-IG-header,
.a-IG-cell {
  font-family: var(--font-family);
  font-size: 13px; 
  font-variant-numeric: normal !important; 
  font-feature-settings: "ss01", "locl" !important;
  -webkit-font-feature-settings: "ss01", "locl" !important;
  -moz-font-feature-settings: "ss01", "locl" !important;
}
 

/* ===============================
   Utilities (Clean)
   =============================== */
.ltr { direction: ltr; }
.text-right { text-align: right; }
.text-center { text-align: center; }
.text-left { text-align: left; }

.text-small { font-size: 0.85em; }
.text-large { font-size: 1.2em; }

.font-ui   { font-family: 'IranSans' !important; }
.font-data { font-family: 'Vazir' !important; }

/* ===============================
   RTL Fixes
   =============================== */


 
.t-Badge--clickable {
  cursor: pointer;
}
 
.is-active {
  color: #10b981;font-size: 0.9rem; 
}

.is-inactive {
  color: #ef4444;font-size: 0.9rem;
}

/* App Pages Background */
.app-bg { 
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

/* نرم‌سازی تصویر */
.app-bg::before {
  content: "";
  position: fixed;
  inset: 0;
  background: rgba(255, 255, 255, 0.55);
  pointer-events: none;
}

.t-Body-mainContent {
  background: transparent;
}

.delete-row {
    padding: 3px;
    background: white;
    color: red;
}

.success-row {
    padding: 3px;
    background: white;
    color: rgb(47, 119, 14);
}